@import 'src/scss/_variable';

.app-header {
  font-size: inherit;
  background-color: white;
  border-bottom: 2px solid $appBorderColor;

  .app-toggle-button {
    padding: 0 8px;
    margin-right: 8px;
  }

  .mat-divider.mat-divider-vertical {
    height: 100%;
    border-right-width: 2px;
  }

  .mat-input-underline {
    display: none;
  }

  // .logout-button {
  //     width: 120px;
  //     height: 30px;
  //     background: $logoutButtonBgColor;
  //     color: $logoutButtonColor;
  //     border-radius: 25px;
  //     margin-left: 30px;
  //     line-height: 30px;
  // }
  .rotate-icon {
    transform: rotate(180deg);
  }
}

.search-bar {
  width: 100%;

  >input {
    width: 100%;
    border: none;
    padding: 10px 5px;
  }

  >input:focus {
    outline: 0;
  }
}

.app-sidenav-container:not(.app-sidenav-closed) {
  .nav-icon {
    pointer-events: none;
  }
}

//mobile view will have default material sidenav feature
.app-container:not(.app-is-mobile) {

  //desktop view
  .app-sidenav-closed mat-sidenav-content {
    margin-left: 80px !important; // transition: nomargin-left .4s;
  }

  // mat-sidenav-content {
  //     // transition: margin-left .6s;
  // }
  .app-sidenav-closed.app-sidenav-container {
    mat-sidenav {
      width: 80px;

      .sidenav-avatar-container {
        .avatar {
          height: 50px;
          width: 50px;
        }
      }

      .brand-logo,
      .avatar-title,
      .avatar-subtitle {
        display: none;
      }

      .side-nav-title {
        display: none;
      }
    }

    .comp-logo {
      width: 50px;
    }
  }
}

// .app-is-mobile .app-header {
//     position: fixed;
//     /* Make sure the toolbar will stay on top of the content as it scrolls past. */
//     z-index: 2;
// }
.app-sidenav-container {
  /* When the sidenav is not fixed, stretch the sidenav container to fill the available space. This
       causes `<mat-sidenav-content>` to act as our scrolling element for desktop layouts. */
  flex: 1;
}

.comp-logo {
  margin-top: 10px;
}

.brand-logo {
  margin-top: 10px;

  >.char-build {
    color: deepskyblue
  }

  >.char-whiz {
    color: white;
  }

  >.char-dot {
    color: $appLightRed
  }
}

.app-sidenav-container {
  .text-layout-font-color {
    color: $appSideNavFontColor;
  }

  >mat-sidenav-content {
    background-color: $appOuterBgColor;
    overflow: hidden; // transition: margin-left .2s;
  }

  >mat-sidenav {
    overflow-x: hidden;
    width: 225px;
    background-color: $appSideNavBgColorBottom; // box-shadow: 2px -2px 2px $appSideNavFontColor;
    color: $appSideNavFontColor;
    font-size: 12px;
    transition: width .4s ease-in;
  }

  .sidenav-top {
    background-color: $appSideNavBgColorTop;
    text-align: center;
    padding-top: 10px;
    width: 100%;
  }

  .mat-nav-list .mat-list-item {
    color: $appSideNavFontColor; //text-transform: uppercase;
    font-size: 12px;

    &.active {
      color: $appLightRed;
    }
  }
}

.sidenav-avatar-container {
  margin-top: 30px;
  padding-bottom: 5px;
  width: 100%;

  .avatar {
    height: 100px;
    width: 100px;
  }

  .avatar-title {
    color: #dad9de;
    margin-bottom: 0;
    font-size: 16px;
  }

  .avatar-subtitle {
    font-size: 14px;
    margin-top: -5px;
  }
}

// .app-is-mobile .app-sidenav-container {
//     /* When the sidenav is fixed, don't constrain the height of the sidenav container. This allows the
//        `<body>` to be our scrolling element for mobile layouts. */
//     flex: 1 0 auto;
// }
.app-icon,
.nav-icon {
  padding: 0 14px;
}

.app-spacer {
  flex: 1 1 auto;
}

.breadcrumb-list {
  margin: 0;
  padding-left: 24px;
  text-transform: uppercase;
  a:hover{
    opacity: .7;
  }

  >li {
    display: inline;
    // cursor: pointer;
    list-style-type: none;
    margin: 0;
    padding: 0;

    &:last-child {
      pointer-events: none;

      //.breadcrumb-text {
      a {
        color: $appSideNavBgColorTop;
      }
    }
  }

  >li:not(:last-child)::after {
    content: ' / ';
    color: $appSideNavFontColor
  }
}

// .breadcrumb-value {
//   font-weight: normal;
//   color: #9E9E9E;

//   &::after {
//     content: ' / ';
//     font-weight: bold;
//     color: $appSideNavFontColor
//   }
// }
